c=data.frame(read.csv(file = 'UR_all.csv'))

#EU27 2, BG 3, HU 4, RO	5, SK 6
train=c[1:261,2]
test=c[262:273,2]

#ARIMA MODEL
library(forecast)
#EU27
mymodel.linear=arima(ts(train),order=c(2,1,1))
mymodel.linear

#st.train=diff(train,differences=1)
#acf(st.train,main="",lwd=2)   #ACF plot
#pacf(st.train,main="",lwd=2,ylab="PACF" )  #PACF Plot

pred=fitted(mymodel.linear)
res=residuals(mymodel.linear)
#print(res)

qqnorm(res); qqline(res,lwd=2, col = 2)

#NNAR
library(nnfor)
mymodel.nonlinear=nnetar(res)
mymodel.nonlinear

forecast.linear1=data.frame(forecast(mymodel.linear,h=12))
forecast.nonlinear1=data.frame(forecast(mymodel.nonlinear,h=12))
comb.forecast1=forecast.linear1[,1]+forecast.nonlinear1[,1]
#afisam valorile
comb.forecast1
#calculam acuratetea
accuracy(test,comb.forecast1)

forecast.linear2=data.frame(forecast(mymodel.linear,h=24))
forecast.nonlinear2=data.frame(forecast(mymodel.nonlinear,h=24))
comb.forecast2=forecast.linear2[,1]+forecast.nonlinear2[,1]
comb.forecast2


ylim <- range(c(test,comb.forecast2))
#ylim <- range(6,7.4)
plot(comb.forecast2,type="l",col="red", ylim=ylim, ylab="Unemployment rate",xlab="Months", main="Slovakia")
lines(comb.forecast1,type="l",col="blue")
lines(test,type="l",col="green")
#lines(forecast.linear2[,1],type="l",col="black")
#forecast.linear1[,1]


